Debian Bug report logs - #364295
RFP: fltk2 -- Fast Light (gui) ToolKit version 2

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: wzab <wzab@ise.pw.edu.pl>

Date: Sat, 22 Apr 2006 14:48:35 UTC

Severity: wishlist

Tags: wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#364295; Package libfltk. Full text and rfc822 format available.

Acknowledgement sent to wzab <wzab@ise.pw.edu.pl>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: wzab <wzab@ise.pw.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libfltk: Some new programs (like flpsed v 0.4.1) require fltk2
Date: Sat, 22 Apr 2006 15:55:57 +0200
Package: libfltk
Version: libfltk1.1
Severity: wishlist

The fltk2 is getting more popular, so I think it would be god to package
it for Debian paralelly with version 1.1.
The most significant feature from my point of view is better handling of
international characters.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16.3
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2)



Bug reassigned from package `libfltk' to `libfltk1.1'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#364295; Package libfltk1.1. Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 364295@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: control@bugs.debian.org (Debian Bug Tracking System)
Cc: Martin Michlmayr <tbm@cyrius.com>, wzab <wzab@ise.pw.edu.pl>, 229702@bugs.debian.org, 364295@bugs.debian.org
Subject: Re: Bug#364295: libfltk: Some new programs (like flpsed v 0.4.1) require fltk2
Date: Sat, 22 Apr 2006 15:44:41 -0400
reassign 364295 wnpp
retitle 364295 RFP: fltk2 -- Fast Light (gui) ToolKit version 2
thanks

Although I've been maintaining packages of fltk's 1.1 branch, I'm
afraid I'm spread too thin to take care of the 2.x branch as well, so
I'll have to reclassify this report accordingly.  (That said, I will
still be happy to coordinate as needed with whoever does end up
packaging fltk 2.)

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
Finger amu@monk.mit.edu (NOT a valid e-mail address) for more info.



Bug reassigned from package `libfltk1.1' to `wnpp'. Request was from ucko@debian.org (Aaron M. Ucko) to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from ucko@debian.org (Aaron M. Ucko) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to wzab <wzab@ise.pw.edu.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 364295-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 364295-done@bugs.debian.org
Subject: WNPP bug closing
Date: Tue, 24 Apr 2007 12:00:09 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 364295
 stop

Further comments on the work done in the bug sent to
364295@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from Wojciech Zabołotny <W.Zabolotny@elka.pw.edu.pl> to control@bugs.debian.org. (Tue, 24 Apr 2007 20:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364295; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Wojciech Zabołotny <W.Zabolotny@elka.pw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #28 received at 364295@bugs.debian.org (full text, mbox):

From: Wojciech Zabołotny <W.Zabolotny@elka.pw.edu.pl>
To: 364295@bugs.debian.org
Subject: How to create "unofficial" package of fltk2
Date: Tue, 24 Apr 2007 23:01:43 +0200
[Message part 1 (text/plain, inline)]
Hi,

I've succeeded to create the "quick&dirty" package of fltk2
I've just downloaded the snapshot:
http://www.fltk.org/software.php?VERSION=2.0.x-r5782&FILE=fltk/snapshots/fltk-2.0.x-r5782.tar.bz2

Unpacked it in the temporary directory (let's assume /tmp/fltk2)
Then in the directory  /tmp/fltk2/fltk-2.0.x-r5782 I've just done:
$dh_make --createorig
(I've selected the "s - single binary" option, which is probably not the
best choice for library...)
$fakeroot dpkg-buildpackage
I've obtained the  fltk_2.0.x-r5782-1_i386.deb  package, which probably
does not comply with debian policies, but anyway it just installs and
works ;-).

To test it, I have copied the radio.fl from the sources, opened it with
the fluid2, generated the code and compiled.
To compile it I had to copy the "makeinclude" file from the
/tmp/fltk2/fltk-2.0.x-r5782 directory,
and I had to modify the Makefile (I've attached it). But anyway it works!
-- 
HTH & regards, Wojtek


[Makefile (text/plain, inline)]
#
# "$Id: Makefile 5717 2007-02-25 11:33:37Z cwarrens $"
#
# Test/example program makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2003 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems to "fltk-bugs@fltk.org".
#

#
# Include common definitions...
#


#
# FLUID file rules...
#

.fl.cxx .fl.h:
	../fluid/fluid2$(EXEEXT) -c $<

include makeinclude
#
# Files for this directory...
#

CPPFILES = \
	mandelbrot.cxx \

CFILES	=
LIBPREFIX=/usr/lib/lib
# only some of the demos have been changed to use namespaces:
TARGETS = \
	radio$(EXEEXT) \

#
# Make everything...
#

all:	$(TARGETS)


#
# Clean old files...
#

clean:
	$(RM) *.bck
	$(RM) *.o
	$(RM) core*
	$(RM) $(TARGETS)


#
# Make dependencies, excluding standard include directories...
#


#
# Include automatically generated dependencies...
#


#
# All demo programs depend on the static library.
#

$(TARGETS):	$(LIBPREFIX)fltk2$(LIBSUFFIX)


#
# Other programs needing special "help"...
#
radio$(EXEEXT): radio.o
	echo Linking $@...
	$(CXX) -I.. $(CXXFLAGS) radio.o $(LINKFLTK) $(LDLIBS) -o $@
	$(POSTBUILD) $@ ../fltk/mac.r


install:
uninstall:


#
# End of "$Id: Makefile 5717 2007-02-25 11:33:37Z cwarrens $".
#
# DO NOT DELETE

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364295; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Wojciech Zabołotny <W.Zabolotny@elka.pw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #33 received at 364295@bugs.debian.org (full text, mbox):

From: Wojciech Zabołotny <W.Zabolotny@elka.pw.edu.pl>
To: 364295@bugs.debian.org
Subject: Correction to the makefile
Date: Tue, 24 Apr 2007 23:17:23 +0200
The lines:

.fl.cxx .fl.h:
	../fluid/fluid2$(EXEEXT) -c $<


Should be replaced with:

.fl.cxx .fl.h:
	fluid2$(EXEEXT) -c $<

(the path to the fluid2 was not correct)





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364295; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <little.miry@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #38 received at 364295@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <little.miry@gmail.com>
To: 364295@bugs.debian.org
Cc: "Wojciech Zabołotny" <W.Zabolotny@elka.pw.edu.pl>, "Aaron M. Ucko" <ucko@debian.org>
Subject: FLTK2
Date: Tue, 29 May 2007 10:26:20 +0200
[Message part 1 (text/plain, inline)]
Gnash developers have recommended me to use FLTK2 as a backend for gnash.

http://lists.gnu.org/archive/html/gnash-dev/2007-05/msg00373.html

Is there any plan to have it in the archive soon? Do you need a helping
hand?

Greetings,
Miry
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364295; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #43 received at 364295@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 364295@bugs.debian.org
Subject: FLTK2: I'll package it
Date: Sat, 23 Jun 2007 00:44:24 +0200 (CEST)
owner 364295 Miriam Ruiz <little_miry@yahoo.es>

thanks

I'm very interested in FLTK2, So I'll maintain it myself. If there's any
objection, please reply.

Greetings,
Miry



       
____________________________________________________________________________________
¡Descubre una nueva forma de obtener respuestas a tus preguntas!
Entra en Yahoo! Respuestas.
http://es.answers.yahoo.com/info/welcome



Owner recorded as Miriam Ruiz <little_miry@yahoo.es>. Request was from Miriam Ruiz <little_miry@yahoo.es> to control@bugs.debian.org. (Fri, 22 Jun 2007 22:48:02 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: fltk2 -- Fast Light (gui) ToolKit version 2' from `RFP: fltk2 -- Fast Light (gui) ToolKit version 2'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Mon, 25 Jun 2007 14:11:41 GMT) Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to wzab <wzab@ise.pw.edu.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 364295-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 364295-done@bugs.debian.org
Subject: WNPP bug closing
Date: Tue, 24 Jun 2008 11:59:35 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 364295
 stop

Further comments on the work done in the bug sent to
364295@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Jul 2008 07:35:54 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from "Devid Antonio Filoni" <d.filoni@techemail.com> to control@bugs.debian.org. (Tue, 28 Oct 2008 14:24:05 GMT) Full text and rfc822 format available.

Owner changed from Miriam Ruiz <little_miry@yahoo.es> to <d.filoni@techemail.com>. Request was from "Devid Antonio Filoni" <d.filoni@techemail.com> to control@bugs.debian.org. (Tue, 28 Oct 2008 14:24:06 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from "Devid Antonio Filoni" <d.filoni@techemail.com> to control@bugs.debian.org. (Tue, 28 Oct 2008 14:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364295; Package wnpp. (Tue, 28 Oct 2008 15:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to <d.filoni@techemail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 28 Oct 2008 15:06:02 GMT) Full text and rfc822 format available.

Message #65 received at 364295@bugs.debian.org (full text, mbox):

From: "Devid Antonio Filoni" <d.filoni@techemail.com>
To: <364295@bugs.debian.org>
Subject: FLTK2
Date: Tue, 28 Oct 2008 08:03:38 -0700
I've contacted Miriam Ruiz and now I'm working on this ITP.

_____________________________________________________________
Are you a Techie? Get Your Free Tech Email Address Now! Visit http://www.TechEmail.com




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 21 Jan 2009 19:06:02 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 13 Mar 2009 03:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, <d.filoni@techemail.com>:
Bug#364295; Package wnpp. (Sun, 28 Jun 2009 14:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, <d.filoni@techemail.com>. (Sun, 28 Jun 2009 14:12:02 GMT) Full text and rfc822 format available.

Message #74 received at 364295@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 364295@bugs.debian.org, d.filoni@techemail.com
Subject: Any news?
Date: Sun, 28 Jun 2009 16:10:00 +0200
This RFP is changing owners quite frequently without any package popping up. Is
there any reason for this? I'd guess I'm not the only one waiting for dillo2 to
run on a netbook.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo/Skype: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364295; Package wnpp. (Mon, 29 Jun 2009 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to <d.filoni@techemail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 29 Jun 2009 14:21:05 GMT) Full text and rfc822 format available.

Message #79 received at 364295@bugs.debian.org (full text, mbox):

From: "Devid Antonio Filoni" <d.filoni@techemail.com>
To: "Michael Meskes" <meskes@debian.org>, <364295@bugs.debian.org>
Cc: <364295@bugs.debian.org>
Subject: Re: Bug#364295: Any news?
Date: Mon, 29 Jun 2009 07:18:07 -0700
The package is ready and it was also uploaded, but there are some license issues (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=364295) and it cannot be approved into Debian. I'm also waiting for dillo2...

Devid

--- meskes@debian.org wrote:

From: Michael Meskes <meskes@debian.org>
To: 364295@bugs.debian.org, d.filoni@techemail.com
Subject: Bug#364295: Any news?
Date: Sun, 28 Jun 2009 16:10:00 +0200

This RFP is changing owners quite frequently without any package popping up. Is
there any reason for this? I'd guess I'm not the only one waiting for dillo2 to
run on a netbook.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo/Skype: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!






_____________________________________________________________
Are you a Techie? Get Your Free Tech Email Address Now! Visit http://www.TechEmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364295; Package wnpp. (Mon, 29 Jun 2009 14:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to <d.filoni@techemail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 29 Jun 2009 14:21:06 GMT) Full text and rfc822 format available.

Message #84 received at 364295@bugs.debian.org (full text, mbox):

From: "Devid Antonio Filoni" <d.filoni@techemail.com>
To: <d.filoni@techemail.com>
Cc: <meskes@debian.org>, <364295@bugs.debian.org>, <364295@bugs.debian.org>
Subject: Re: Bug#364295: Any news?
Date: Mon, 29 Jun 2009 07:19:19 -0700
Bug in upstream for the license issues: http://fltk.org/str.php?L2198+P0+S-2+C0+I0+E0+Qlicense

--- d.filoni@techemail.com wrote:

From: "Devid Antonio Filoni" <d.filoni@techemail.com>
To: "Michael Meskes" <meskes@debian.org>, <364295@bugs.debian.org>
Cc: <364295@bugs.debian.org>
Subject: Re: Bug#364295: Any news?
Date: Mon, 29 Jun 2009 07:18:07 -0700


The package is ready and it was also uploaded, but there are some license issues (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=364295) and it cannot be approved into Debian. I'm also waiting for dillo2...

Devid

--- meskes@debian.org wrote:

From: Michael Meskes <meskes@debian.org>
To: 364295@bugs.debian.org, d.filoni@techemail.com
Subject: Bug#364295: Any news?
Date: Sun, 28 Jun 2009 16:10:00 +0200

This RFP is changing owners quite frequently without any package popping up. Is
there any reason for this? I'd guess I'm not the only one waiting for dillo2 to
run on a netbook.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ: 179140304, AIM/Yahoo/Skype: michaelmeskes, Jabber: meskes@jabber.org
Go VfL Borussia! Go SF 49ers! Use Debian GNU/Linux! Use PostgreSQL!






_____________________________________________________________
Are you a Techie? Get Your Free Tech Email Address Now! Visit http://www.TechEmail.com



_____________________________________________________________
Are you a Techie? Get Your Free Tech Email Address Now! Visit http://www.TechEmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, <d.filoni@techemail.com>:
Bug#364295; Package wnpp. (Thu, 24 Sep 2009 11:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ilya Barygin <barygin@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, <d.filoni@techemail.com>. (Thu, 24 Sep 2009 11:09:02 GMT) Full text and rfc822 format available.

Message #89 received at 364295@bugs.debian.org (full text, mbox):

From: Ilya Barygin <barygin@gmail.com>
To: 364295@bugs.debian.org
Subject: License changed
Date: Thu, 24 Sep 2009 14:10:29 +0400
The license has been changed, see http://fltk.org/articles.php?L933

-- 
Ilya




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, <d.filoni@techemail.com>:
Bug#364295; Package wnpp. (Thu, 12 Nov 2009 03:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdefreese@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, <d.filoni@techemail.com>. (Thu, 12 Nov 2009 03:33:02 GMT) Full text and rfc822 format available.

Message #94 received at 364295@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 364295@bugs.debian.org
Cc: little_miry@yahoo.es, d.filoni@techemail.com
Subject: Re: ITP: fltk2 -- Fast Light (gui) ToolKit version 2
Date: Wed, 11 Nov 2009 22:27:40 -0500
Hi,

Looks like upstream fixed the licensing.  Is someone going to package it now??

Thanks,

Barry deFreese
Debian QA




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364295; Package wnpp. (Thu, 12 Nov 2009 12:03:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to <d.filoni@techemail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 12 Nov 2009 12:03:23 GMT) Full text and rfc822 format available.

Message #99 received at 364295@bugs.debian.org (full text, mbox):

From: "Devid Antonio Filoni" <d.filoni@techemail.com>
To: <bdefreese@debian.org>, <364295@bugs.debian.org>
Cc: <364295@bugs.debian.org>, <little_miry@yahoo.es>
Subject: Re: Bug#364295: ITP: fltk2 -- Fast Light (gui) ToolKit version 2
Date: Thu, 12 Nov 2009 03:27:05 -0800
Yes, I'm working on it.

--- bdefreese@debian.org wrote:

From: Barry deFreese <bdefreese@debian.org>
To: 364295@bugs.debian.org
Cc: little_miry@yahoo.es, d.filoni@techemail.com
Subject: Bug#364295: ITP: fltk2 -- Fast Light (gui) ToolKit version 2
Date: Wed, 11 Nov 2009 22:27:40 -0500

Hi,

Looks like upstream fixed the licensing.  Is someone going to package it now??

Thanks,

Barry deFreese
Debian QA






_____________________________________________________________
Are you a Techie? Get Your Free Tech Email Address Now! Visit http://www.TechEmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, <d.filoni@techemail.com>:
Bug#364295; Package wnpp. (Sat, 03 Apr 2010 15:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry Randrianiriana <randrianiriana@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, <d.filoni@techemail.com>. (Sat, 03 Apr 2010 15:57:07 GMT) Full text and rfc822 format available.

Message #104 received at 364295@bugs.debian.org (full text, mbox):

From: Thierry Randrianiriana <randrianiriana@gmail.com>
To: 364295@bugs.debian.org
Cc: 192827@bugs.debian.org, 311435@bugs.debian.org
Subject: any news about fltk2 in debian ?
Date: Sat, 03 Apr 2010 18:52:21 +0300
Hi,

Any news about this ITP ?
I need fltk 1.2+ to fix some bugs with my package xdiskusage.


Regards,





Added indication that bug 364295 blocks 192827 Request was from Thierry Randrianiriana <randrianiriana@gmail.com> to control@bugs.debian.org. (Sun, 04 Apr 2010 09:57:08 GMT) Full text and rfc822 format available.

Added indication that bug 364295 blocks 311435 Request was from Thierry Randrianiriana <randrianiriana@gmail.com> to control@bugs.debian.org. (Sun, 04 Apr 2010 09:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, <d.filoni@techemail.com>:
Bug#364295; Package wnpp. (Thu, 06 May 2010 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry Randrianiriana <thierry@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, <d.filoni@techemail.com>. (Thu, 06 May 2010 23:57:03 GMT) Full text and rfc822 format available.

Message #113 received at 364295@bugs.debian.org (full text, mbox):

From: Thierry Randrianiriana <thierry@debian.org>
To: 364295@bugs.debian.org
Cc: d.filoni@techemail.com, little_miry@yahoo.es
Subject: fltk2
Date: Fri, 07 May 2010 02:53:33 +0300
Hello,

Are you working on this bug ?
If not, I'll try to package it myself.

Regards,


--
Thierry Randrianiriana




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, <d.filoni@techemail.com>:
Bug#364295; Package wnpp. (Thu, 26 Aug 2010 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, <d.filoni@techemail.com>. (Thu, 26 Aug 2010 07:42:03 GMT) Full text and rfc822 format available.

Message #118 received at 364295@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 364295@bugs.debian.org
Subject: fltk2 seems more or less dead
Date: Thu, 26 Aug 2010 09:37:19 +0200
Hi,

JFTR: despite they updated the license in fall 2009, according to
http://www.fltk.org/articles.php?L825 and
http://fltk.org/software.php#SVN, fltk 2 is not further developed.
Instead fltk 1.3 is the active development branch and the next planned
branches are 1.4 and 3.0.

There though seem to be actively developed software (like Dillo) based
on it, so it may still be nice to have it in Debian. But it will be
more work than if there were active development on fltk 2.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, <d.filoni@techemail.com>:
Bug#364295; Package wnpp. (Wed, 27 Jul 2011 16:26:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, <d.filoni@techemail.com>. (Wed, 27 Jul 2011 16:26:40 GMT) Full text and rfc822 format available.

Message #123 received at 364295@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 364295@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fltk2: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 364295 RFP: fltk2 -- Fast Light (gui) ToolKit version 2
noowner 364295
thanks

Hi,

This is an automatic email to change the status of fltk2 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting fltk2, please send a mail to
<control@bugs.debian.org> with:

 retitle 364295 ITP: fltk2 -- Fast Light (gui) ToolKit version 2
 owner 364295 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <364295@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: fltk2 -- Fast Light (gui) ToolKit version 2' from 'ITP: fltk2 -- Fast Light (gui) ToolKit version 2' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:52:51 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by <d.filoni@techemail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:52:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#364295; Package wnpp. (Mon, 01 Aug 2011 11:48:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 01 Aug 2011 11:48:36 GMT) Full text and rfc822 format available.

Message #132 received at 364295@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 364295@bugs.debian.org
Cc: 192827@bugs.debian.org, Debian Bug Tracking System E-Mail Control Server <control@bugs.debian.org>
Subject: FLTK2 very likely will never be uploaded to Debian
Date: Mon, 1 Aug 2011 13:44:29 +0200
tag 364295 + wontfix
kthxbye

Hi,

I'm very sure that nobody will ever package FLTK 2.0 for Debian
(anymore) despite it's no more non-free -- because it's deprecated,
was never released as stable and is obsoleted by FLTK 1.3 which is in
Debian Unstable. Additionally most software who build upon FLTK 2.0
now uses FLTK 1.3, too, like e.g. Dillo which I uploaded just recently
to Debian Experimental.

I would have closed the RFP for FLTK 2.0
(http://bugs.debian.org/364295) because of that, but as #192827
(xdiskusage: Printing doesn't manage non-ASCII characters,
http://bugs.debian.org/192827) is still blocked by that RFP, I just
tagged it as "wontfix".

I tried to build xdiskusage against FLTK 1.3 instead of 1.1 (1.3 has
been released recently and entered Debian Unstable just shortly
afterwards) and it surprisingly built out of the box. (FLWM did not.)
It also works -- until you have an Directory with UTF-8 names in. Then
the xdiskusage window becomes somehow transparent (with ratpoison WM
at least), but clicking on that invisible window still gives the
pop-up menu and allows to export into PostScript. That PostScript
nevertheless looks not like UTF-8, but also not like just UTF-8
interpreted as ISO-Latin, e.g. no à in there.

I nevertheless hope that #192827 can be solved by using FLTK 1.3 and a
little bit of tweaking.

Thierry: Maybe you can poke the xdiskusage upstream about this issue
again, with a pointer to FLTK 1.3?

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Added tag(s) wontfix. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Mon, 01 Aug 2011 11:49:04 GMT) Full text and rfc822 format available.

Removed indication that bug 364295 blocks 311435 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 20 Dec 2012 18:09:07 GMT) Full text and rfc822 format available.

Removed indication that bug 364295 blocks 192827 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 20 Dec 2012 18:09:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:54:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.